Set Tier Product Overrides
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/affiliate-tiers/{tierId}/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"products": [
{
"product_id": 123,
"percentage": 0
}
]
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/affiliate-tiers/{tierId}/products"
payload = { "products": [
{
"product_id": 123,
"percentage": 0
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({products: [{product_id: 123, percentage: 0}]})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/affiliate-tiers/{tierId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Affiliate Tiers
Set Tier Product Overrides
Replaces the tier’s per-product percentage overrides. An override of 0 excludes the product for this tier.
PUT
/
v1
/
shops
/
{shopId}
/
affiliate-tiers
/
{tierId}
/
products
Set Tier Product Overrides
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
The overrides.
Show child attributes
Show child attributes
Example:
[{ "product_id": 123, "percentage": 0 }]
Response
200 - undefined